aboutsummaryrefslogtreecommitdiffstats
path: root/testing/qt5-qtimageformats/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-04 13:49:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-04 13:49:33 +0000
commitb6c56dfed22617afd42e1063deda10132a47b080 (patch)
treef4cf93451c77b92f0b6cbaabb36016f97e1de9d7 /testing/qt5-qtimageformats/APKBUILD
parentd69da6dcf86049d2af15a824b84f4f87f33e4ad7 (diff)
downloadaports-b6c56dfed22617afd42e1063deda10132a47b080.tar.gz
aports-b6c56dfed22617afd42e1063deda10132a47b080.tar.bz2
aports-b6c56dfed22617afd42e1063deda10132a47b080.tar.xz
testing/qt5-qtimageformats: new aport
Qt5 - QtImageFormats component http://qt-project.org/
Diffstat (limited to 'testing/qt5-qtimageformats/APKBUILD')
-rw-r--r--testing/qt5-qtimageformats/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/qt5-qtimageformats/APKBUILD b/testing/qt5-qtimageformats/APKBUILD
new file mode 100644
index 0000000000..27da02e7ce
--- /dev/null
+++ b/testing/qt5-qtimageformats/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=qt5-qtimageformats
+pkgver=5.1.1
+pkgrel=0
+pkgdesc="Qt5 - QtImageFormats component"
+url="http://qt-project.org/"
+arch="all"
+license="LGPLv2 with exceptions or GPLv3 with exceptions"
+depends=""
+depends_dev=""
+makedepends="$depends_dev qt5-qtbase-dev libmng-dev tiff-dev"
+install=""
+subpackages=""
+source="http://download.qt-project.org/official_releases/qt/5.1/$pkgver/submodules/qtimageformats-opensource-src-$pkgver.tar.xz"
+
+_builddir="$srcdir"/qtimageformats-opensource-src-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ qmake && make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install INSTALL_ROOT="$pkgdir"
+}
+
+md5sums="209edddd5899b36ea7ea7ad52204a593 qtimageformats-opensource-src-5.1.1.tar.xz"
+sha256sums="3bbb7825c0298c7d95d26b205e48da02c5bac3b35d66a601f939f8ee8b3463a4 qtimageformats-opensource-src-5.1.1.tar.xz"
+sha512sums="c42144fe39df5da69eec6b00e54bb0d0795a7f8c1617094c9dd9c5f79f96ff7ba5c447bbd931aa730bf5dcebac8a7e8e6f397501264d7279233876df6cbd2771 qtimageformats-opensource-src-5.1.1.tar.xz"